"use strict";

exports.__esModule = true;
exports.default = void 0;
const warningStack = {};

const useWarning = (message, component) => {
  const tag = component ? ` [${component}]` : " ";
  const log = `[Wipsie UI]${tag}: ${message}`;
  if (typeof console === "undefined") return;
  if (warningStack[log]) return;
  warningStack[log] = true;
  return console.error(log); // console.warn(log);
};

var _default = useWarning;
exports.default = _default;
module.exports = exports.default;